<template>
  <v-navigation-drawer
    v-model="drawer"
    :rail="mini"
    class="custom-drawer"
    expand-on-hover
    width="220"
  >
    <v-list-item
      :prepend-avatar="logo"
      class="text-h3 hue-rotate"
      height="60px"
      nav="true"
      title="Mrakovo.ru"
      @click="$router.push({ name: 'MainView' })"
    >
      <template #append>
        <v-btn
          class="d-none d-lg-block"
          variant="text"
          color="green"
          :icon="
            $store.state.app.mini ? 'mdi-pin-outline' : 'mdi-pin-off-outline'
          "
          @click.stop="mini = !mini"
        ></v-btn>
      </template>
    </v-list-item>
    <v-divider></v-divider>
    <v-list density="compact" nav>
      <v-list-item
        v-for="(nav, index) in navItems"
        :key="index"
        :prepend-icon="nav.icon"
        :title="nav.title"
        :value="nav.value"
        color="primary"
        active-class="my-active-class"
        @click="clickHandle(nav)"
      ></v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>

<script setup>
import logo from '@/assets/logo.svg'
import { useRouter } from 'vue-router'
import { sync } from 'vuex-pathify'

const router = useRouter()
const { mini, drawer, navItems } = sync('app/*')
const drawerElement = document.querySelector('nav')

function clickHandle(nav) {
  router.replace({ path: `/${nav.value}` })
  drawerElement.style.backgroundColor = 'red'
}
</script>
<style>
.my-active-class {
  background-color: red;
}
.custom-drawer .v-navigation-drawer--open {
  width: 0 !important;
}
</style>
